%global _empty_manifest_terminate_build 0
%global pypi_name sphinx-theme-builder	 

%global _description %{expand:
A tool for authoring Sphinx themes with a simple (opinionated) workflow.i}

Name:		python-%{pypi_name}
Version: 	0.2.0b2
Release: 	1
Summary: 	Streamline the Sphinx theme development workflow
License: 	MIT and BSD-3-Clause
URL: 		https://pypi.org/project/sphinx-theme-builder/
Source0: 	%{url}/archive/%{version}/sphinx-theme-builder-%{version}.tar.gz
BuildArch: 	noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-flit-core

%description %_description

%package -n python3-%{pypi_name}
Summary: Streamline the Sphinx theme development workflow
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %_description

%package help
Summary: Help documents for %{name}

%description help
Help documents for the %{name} API

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/sphinx_theme_builder-*.dist-info/
%{python3_sitelib}/sphinx_theme_builder/
%{_bindir}/stb

%changelog
* Mon Jul 31 2023 li-miaomiao_zhr <mmlidc@isoftstone.com> - 0.2.0b2-1
- Package init
